Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022856
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-01-22 09:402013-01-24 06:42
ReporterngarciaView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revision1cd5ddac3977
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022856: Views saved at org level cannot be edited nor deleted

DescriptionViews saved at org level cannot be edited nor deleted
Steps To ReproduceAs group admin role:
   Go to Purchase Order window and click on the Save view toolbar button
   Save a view:
      Level: Organization
   Save another view:
      Level: User
   Close the window and open it again
   Select the Delete view option and check that the first view does not appear in the combo
      
   
Proposed SolutionIn PersonalizationHandler.canEdit function substitute the following line

if (DalUtil.getId(roleOrg).equals(orgId)) {

for

if (DalUtil.getId(roleOrg.getOrganization()).equals(orgId)) {

Note: the roleOrg variable stores the identifier from the ad_role_orgaccess table, while we need the ad_org_id field
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055775)
hgbot (developer)
2013-01-23 17:59

Repository: erp/devel/pi
Changeset: 1cd5ddac39771ca641283cb9ba53d683c40be231
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jan 23 17:58:40 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1cd5ddac39771ca641283cb9ba53d683c40be231 [^]

Fixes issue 22856: Views defined at organization level can be deleted

On the PersonalizationHandler.canEdit method, in order to check if a saved view could be edited the organization of the user was being compared with the RoleOrganization entity of the view, instead of the organization of the RoleOrganization entity.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationHandler.java
---
(0055791)
hudsonbot (developer)
2013-01-24 04:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c7e708c0b53e [^]

Maturity status: Test
(0055793)
shankarb (developer)
2013-01-24 06:42

tested and verified in pi changeset 15b14b0cb32f

- Issue History
Date Modified Username Field Change
2013-01-22 09:40 ngarcia New Issue
2013-01-22 09:40 ngarcia Assigned To => dmiguelez
2013-01-22 09:40 ngarcia Modules => Core
2013-01-22 09:40 ngarcia Triggers an Emergency Pack => No
2013-01-22 09:44 ngarcia Issue Monitored: networkb
2013-01-22 09:45 ngarcia Assigned To dmiguelez => ngarcia
2013-01-22 09:45 ngarcia Description Updated View Revisions
2013-01-22 10:05 ngarcia Assigned To ngarcia => AugustoMauch
2013-01-22 10:05 ngarcia Category 01. General setup => A. Platform
2013-01-22 12:32 AugustoMauch Target Version => 3.0MP20
2013-01-23 17:56 AugustoMauch Steps to Reproduce Updated View Revisions
2013-01-23 17:56 AugustoMauch Issue Monitored: shankarb
2013-01-23 17:56 AugustoMauch Review Assigned To => shankarb
2013-01-23 17:59 hgbot Checkin
2013-01-23 17:59 hgbot Note Added: 0055775
2013-01-23 17:59 hgbot Status new => resolved
2013-01-23 17:59 hgbot Resolution open => fixed
2013-01-23 17:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1cd5ddac39771ca641283cb9ba53d683c40be231 [^]
2013-01-24 04:59 hudsonbot Checkin
2013-01-24 04:59 hudsonbot Note Added: 0055791
2013-01-24 06:42 shankarb Note Added: 0055793
2013-01-24 06:42 shankarb Status resolved => closed
2013-01-24 06:42 shankarb Fixed in Version => 3.0MP20


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker